MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sc::MemoryDataRequest Class Reference

## Public Types
enum | { NData = 6 }
enum | Request { Deactivate, Sync, Retrieve, Replace, DoubleSum }

## Public Member Functions
| MemoryDataRequest (Request r, int node=0, int offset=0, int size=0, int lock=0, int serial=0)
void | assign (Request r, int node, int offset, int size, int lock, int serial)
void * | data () const
int | nbytes () const
const char * | request_string () const
MemoryDataRequest::Request | request () const
int | node () const
int | offset () const
int | size () const
int | serial_number () const
int | lock () const
int | touches_data () const
int | reactivate () const
void | operator= (const MemoryDataRequest &r)
void | print (const char *msg=0, std::ostream &o=ExEnv::out0()) const

The documentation for this class was generated from the following file:

- memamsg.h